export function maxSum(nums: number[], k: number) {
  const L = nums.length;

  if (k > L) return 0;

  /* считаем первое окно */
  let sum = 0;
  for (let i = 0; i < k; i++) {
    sum += nums[i];
  }
  /* смещем окно, переситываем результат, выбираем максимальный */
  let maxSumRes = sum;
  for (let i = k; i < L; i++) {
    sum = sum - nums[i - k] + nums[i];
    maxSumRes = Math.max(maxSumRes, sum);
  }


  return maxSumRes;
};
